#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 10. Graphics and Font Libraries

- Prev

  woff2-1.0.2

- Next

  General Utilities

- Up
- Home

# zxing-cpp-2.3.0

## Introduction to zxing-cpp

The zxing-cpp package provides an open-source, multi-format linear/matrix barcode image processing library.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/zxing-cpp/zxing-cpp/archive/v2.3.0/zxing-cpp-2.3.0.tar.gz

- Download MD5 sum: 91ae23c12b5a00d54037ad019777238a

- Download size: 988 KB

- Estimated disk space required: 67 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### zxing-cpp dependencies

#### Required

CMake-3.31.5

#### Optional

googletest

## Installation of zxing-cpp

Install zxing-cpp by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D ZXING_EXAMPLES=OFF        \
          -W no-dev ..                 &&
    make

Tests require an external package.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libZXing.so
Installed Directories: /usr/include/ZXing and /usr/lib/cmake/ZXing

- Prev

  woff2-1.0.2

- Next

  General Utilities

- Up
- Home